Package org.eclipse.net4j

## Class ContainerProtocolProvider.Client

- java.lang.Object
- - org.eclipse.net4j.ContainerProtocolProvider
  - - org.eclipse.net4j.ContainerProtocolProvider.Client

- All Implemented Interfaces:
    `IProtocolProvider`, `org.eclipse.net4j.util.container.IManagedContainerProvider`
  Enclosing class:
    ContainerProtocolProvider

      public static class ContainerProtocolProvider.Client
      extends ContainerProtocolProvider

  Container-based `protocol provider` for `client` protocols.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.ContainerProtocolProvider

      `ContainerProtocolProvider.Client, ContainerProtocolProvider.Server`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Client​(org.eclipse.net4j.util.container.IManagedContainer container)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.ContainerProtocolProvider

      `getContainer, getProductGroup, getProtocol`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client​(org.eclipse.net4j.util.container.IManagedContainer container)